Compute an SLO instance summary at a point in time

Base URL
https://{kibana_url}
  • GET /api/observability/slos/{id}/_snapshot
  • GET /s/{space_id}/api/observability/slos/{id}/_snapshot
Auth

Compute the summary of an SLO at a given point in time. When instanceId is provided, returns that instance. When instanceId is omitted or set to '*', returns all matching instances (up to 1000). The endpoint is synchronous and returns results directly. You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Required privileges

Privileges slo_read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · min length: 8 · max length: 48 · pattern: ^[a-z0-9-_]+$ required

The identifier of the SLO.

Query parameters

at string · max length: 128 required

The point in time at which to compute the SLO instance summary (ISO 8601 date-time), for example 2023-01-12T10:03:19.000Z

instanceId union enum | string

The SLO instance ID. Omit this parameter or set it to '*' to return all instances for the SLO (up to 1000). Set a specific value (for example host.name:web-01) to return that instance only.

Values: *

Request body

Any of:

Responses

Successful response

application/json
at string · format: date-time required

The point in time at which the summaries were computed

results object[] required

The per-instance computation results

error object

Error information when the computation failed for this SLO instance. Present when the computation failed.

message string required

The error message

statusCode number required

The HTTP status code of the error

id string required

The SLO definition id

instanceId string required

The SLO instance id. '*' represents the default (ungrouped) instance.

summary object

The SLO instance summary at the requested point in time. Present when the computation succeeded.

errorBudget object required
consumed number required nullable

The error budget consumed, or null when no data is available

initial number required

The initial error budget, derived from the SLO objective

remaining number required nullable

The error budget remaining, or null when no data is available

good number required

The number of good events

sliValue number required nullable

The SLI value at the requested point in time, or null when no data is available

status enum required

The SLO health status

Values: NO_DATA HEALTHY DEGRADING VIOLATED
total number required

The total number of events

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required

Not found response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}